Closed Bug 957505 Opened 6 years ago Closed 2 years ago

vip.com sends Firefox OS to Desktop site

Categories

(Web Compatibility :: Mobile, defect, P5)

Other
Gonk (Firefox OS)
defect

Tracking

(Not tracked)

RESOLVED WONTFIX

People

(Reporter: hsteen, Assigned: angelc04)

References

()

Details

(Whiteboard: [mobile-compat-form][serversniff][country-cn][sitewait])

Site: http://vip.com/
vip.com sends Firefox OS to Desktop site

:: Steps To Reproduce

vip.com redirects other mobile browsers to m.vip.com but Firefox OS to the desktop site

:: Expected Result

Mobile site

:: Actual Result

Desktop site

:: Additional Information

Software Version: 1.1
Reporter's User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:26.0) Gecko/20100101 Firefox/26.0
There's backend sniffing, but it only happens when there is a single magic "tempLastCopy=1" cookie set.


GET / HTTP/1.1
Host: www.vip.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:27.0) Gecko/27.0 Firefox/27.0
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: nb-no,nb;q=0.9,no-no;q=0.8,no;q=0.6,nn-no;q=0.5,nn;q=0.4,en-us;q=0.3,en;q=0.1
Accept-Encoding: gzip, deflate
DNT: 1
Referer: http://www.vip.com/
Cookie: tempLastCopy=1
Connection: keep-alive

HTTP/1.1 302 Moved Temporarily
Date: Wed, 08 Jan 2014 06:55:26 GMT
Server: vipshop/VipS
Content-Type: text/html;charset=UTF-8
Cache-Control: no-cache, no-store, must-revalidate
Pragma: no-cache
Set-Cookie: vip_rip=118.110.237.169; expires=Fri, 07-Feb-2014 06:55:26 GMT; path=/; domain=.vip.com
Set-Cookie: vip_wh=VIP_NH; expires=Fri, 07-Feb-2014 06:55:26 GMT; path=/; domain=.vip.com
Set-Cookie: vip_ipver=31; expires=Fri, 07-Feb-2014 06:55:26 GMT; path=/; domain=.vip.com
Location: http://m.vip.com/?source=www
X-Via: 1.1 wz78:3 (Cdn Cache Server V2.0)
Connection: keep-alive
Content-Length: 0

------------------------------------------------------------------
GET /?source=www HTTP/1.1
Host: m.vip.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:27.0) Gecko/27.0 Firefox/27.0
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: nb-no,nb;q=0.9,no-no;q=0.8,no;q=0.6,nn-no;q=0.5,nn;q=0.4,en-us;q=0.3,en;q=0.1
Accept-Encoding: gzip, deflate
DNT: 1
Referer: http://www.vip.com/
Cookie: tempLastCopy=1
Connection: keep-alive

HTTP/1.1 200 OK
Date: Wed, 08 Jan 2014 06:55:27 GMT
Server: nginx/1.2.4
Content-Type: text/html; charset=utf-8
Set-Cookie: WAP_ID=7d8fd8aea5cf7c62581fee8f067bef97ae63ed53; path=/
Set-Cookie: time_offset=1; path=/
Set-Cookie: warehouse=VIP_NH; path=/
Set-Cookie: WAP[revision]=touch; expires=Mon, 03-Oct-2016 06:55:28 GMT; path=/
Set-Cookie: WAP_u_new=newone; path=/
Set-Cookie: wap_consumer=A1; expires=Fri, 08-Jan-2016 06:55:27 GMT; path=/; domain=.vip.com
Cache-Control: no-cache
Expires: Mon, 26 Jul 1997 05:00:00 GMT
Set-Cookie: WAP[hd]=1; expires=Mon, 03-Oct-2016 06:55:28 GMT; path=/
Set-Cookie: WAP[back_act]=http%3A%2F%2Fm.vip.com%2F%3Fsource%3Dwww; expires=Mon, 03-Oct-2016 06:55:28 GMT; path=/
Set-Cookie: WAP[from]=www; expires=Fri, 07-Feb-2014 06:55:28 GMT; path=/
Set-Cookie: canaled=www; path=/
Set-Cookie: WAP_u_new=newone; path=/
X-Via: 1.1 zjjx163:4 (Cdn Cache Server V2.0), 1.1 wz75:4 (Cdn Cache Server V2.0)
Connection: keep-alive
Content-Length: 4598

------------------------------------------------------------------
GET / HTTP/1.1
Host: www.vip.com
User-Agent: Mozilla/5.0 (Mobile; rv:27.0) Gecko/27.0 Firefox/27.0
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: nb-no,nb;q=0.9,no-no;q=0.8,no;q=0.6,nn-no;q=0.5,nn;q=0.4,en-us;q=0.3,en;q=0.1
Accept-Encoding: gzip, deflate
DNT: 1
Referer: http://www.vip.com/
Cookie: tempLastCopy=1
Connection: keep-alive

HTTP/1.1 200 OK
Date: Wed, 08 Jan 2014 06:55:47 GMT
Server: vipshop/VipS
Content-Type: text/html; charset=utf-8
Set-Cookie: vip_rip=118.110.237.169; expires=Fri, 07-Feb-2014 06:55:47 GMT; path=/; domain=.vip.com
Set-Cookie: vip_wh=VIP_NH; expires=Fri, 07-Feb-2014 06:55:47 GMT; path=/; domain=.vip.com
Set-Cookie: vip_ipver=31; expires=Fri, 07-Feb-2014 06:55:47 GMT; path=/; domain=.vip.com
Set-Cookie: user_class=a; expires=Wed, 08-Jan-2014 14:55:47 GMT; path=/; domain=.vip.com
Set-Cookie: VipNewUser=1; expires=Thu, 09-Jan-2014 02:00:00 GMT; path=/; domain=.vip.com
Set-Cookie: vip_new_b_user=1; expires=Thu, 08-Jan-2015 06:55:47 GMT; path=/; domain=.vip.com
Cache-Control: no-cache, no-store, must-revalidate
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Pragma: no-cache
version: LOCAL-VIP_NH_0_1_201401081450_0
X-Via: 1.1 wz78:3 (Cdn Cache Server V2.0)
Connection: keep-alive
Content-Length: 279996

------------------------------------------------------------------
Whiteboard: [mobile-compat-form] → [mobile-compat-form][serversniff][country-cn][contactready]
Safari  iOS iPod   mobile content (rich, redirection to m.vip.com)
Status: UNCONFIRMED → NEW
Ever confirmed: true
The site is working perfectly well when requesting the mobile touch version.
So we just have to ask them to accept the Firefox OS User Agent.

The mobile content server is nginx/1.2.4
The desktop content server doing the redirection vipshop/VipS (which is the name of the site/brand) but I have a feeling it is probably nginx too.
http://www.crunchbase.com/company/vipshop 

→ http --print hH http://m.vip.com/?t=1 "User-Agent: Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0"
GET /?t=1 HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: m.vip.com
User-Agent:  Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0

HTTP/1.1 200 OK
Cache-Control: no-cache
Connection: keep-alive
Content-Encoding: gzip
Content-Type: text/html; charset=utf-8
Date: Mon, 21 Apr 2014 00:28:24 GMT
Expires: Mon, 26 Jul 1997 05:00:00 GMT
Server: nginx/1.2.4
Set-Cookie: WAP_ID=6f812d3858fa6983f88d3cc1604d68bb0091b80f; path=/
Set-Cookie: time_offset=1; path=/
Set-Cookie: warehouse=VIP_NH; path=/
Set-Cookie: WAP[revision]=touch; expires=Sat, 14-Jan-2017 00:28:25 GMT; path=/
Set-Cookie: WAP_u_new=newone; path=/
Set-Cookie: WAP[hd]=1; expires=Sat, 14-Jan-2017 00:28:25 GMT; path=/
Set-Cookie: WAP[back_act]=%2F%3Ft%3D1; expires=Sat, 14-Jan-2017 00:28:25 GMT; path=/
Set-Cookie: WAP_brand_return_url=deleted; expires=Thu, 01-Jan-1970 00:00:01 GMT; path=/
Set-Cookie: WAP_u_new=newone; path=/
Transfer-Encoding: chunked
X-Via: 1.1 zjjx163:8105 (Cdn Cache Server V2.0), 1.1 gdyf15:6 (Cdn Cache Server V2.0)
Assignee: nobody → yliu
Status: NEW → ASSIGNED
We have already contacted vip . They are working on this website.
Whiteboard: [mobile-compat-form][serversniff][country-cn][contactready] → [mobile-compat-form][serversniff][country-cn][sitewait]
Assignee: yliu → pcheng
Priority: -- → P5
Closing as we are not working on Firefox OS anymore.
Status: ASSIGNED → RESOLVED
Closed: 2 years ago
Resolution: --- → WONTFIX
Product: Tech Evangelism → Web Compatibility
You need to log in before you can comment on or make changes to this bug.